//
//  Copyright (c) 2004 Nat!
//  All rights reserved.
//
//  A Mulle kybernetiK production
//  www.mulle-kybernetik.com
//
#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>
#import "SystemUIPlugin.h"


// Apple private function to get MenuRef from NSMenu, see notes in updateMenuWhenDown for info
extern MenuRef _NSGetCarbonMenu(NSMenu *);


@class MulleHostCheck;
@class LEDImagePainter;


@interface MulleHostCheckStatusMenuExtra : NSMenuExtra 
{
   NSMenu              *theMenu;
   NSView              *theView;
   MulleHostCheck      *check;
   NSImage             *image;
   float               length;
   
   BOOL                isPanther;
   BOOL                updateMenuItems;

   NSTimer             *theMainTimer;
   NSTimer             *theEventLoopTimer;
   unsigned int        graphWidth;
   unsigned int        menuWidth;

   LEDImagePainter     *painter;
}

- (void) render;
- (void) imagePaint;

- (void) updateDisplay;
- (void) updateMenuWhenDown;
- (void) shutdown;

- (NSImage *) image;
- (unsigned int) length;

@end
